Cyberduck Mountain Duck CLI

#6698 closed defect (fixed)

Wrong password sent after partial authentication success

Reported by: raimund Owned by: dkocher
Priority: normal Milestone: 4.3
Component: sftp Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows XP

Description

I have a firewall in place between the Cyberduck client and the SSH server I want to connect to. The firewall intercepts the SSH connection and requires an additional authentication step.

So I connect to the firewall and Cyberduck asks me for the first password (for the firewall). At this stage only the "password" authentication scheme is supported. When I enter the correct password Cyberduck says "partial authentication success" and asks me for the second (server) password. Now the "password" and "keyboard-interactive" schemes are supported.

Regardless of what I enter as the second password, Cyberduck always sends the first password again. The SSH server rejects it, Cyberduck once again asks for a password and finally transmits it correctly.

Change History (4)

comment:1 Changed on May 27, 2012 at 7:24:30 PM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jun 12, 2012 at 4:07:46 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r9560.

comment:3 Changed on Sep 26, 2012 at 4:46:42 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2

comment:4 Changed on May 2, 2014 at 9:02:26 AM by dkocher

See also #7865.

Note: See TracTickets for help on using tickets.
swiss made software